test: add i18n to tekton pipeline

Signed-off-by: Xe Iaso <me@xeiaso.net>
This commit is contained in:
Xe Iaso
2026-05-16 03:07:29 -04:00
parent 51ae340a7b
commit 03bf695dff
2 changed files with 21 additions and 0 deletions
+1
View File
@@ -175,6 +175,7 @@ spec:
- name: test-case - name: test-case
value: value:
- default-config-macro - default-config-macro
- i18n
- robots_txt - robots_txt
taskSpec: taskSpec:
params: params:
+20
View File
@@ -0,0 +1,20 @@
#!/usr/bin/env bash
set -euo pipefail
function cleanup() {
pkill -P $$
}
trap cleanup EXIT SIGINT
go tool anubis --help 2>/dev/null || :
go run ../cmd/unixhttpd &
go tool anubis \
--policy-fname ./anubis.yaml \
--use-remote-address \
--target=unix://$(pwd)/unixhttpd.sock &
backoff-retry node ./test.mjs